Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # static_min, static_max [Algorithms and Utility Functions] ## Detailed Description Equivalents to std::min_element and std::max_element for homogeneous color bases. Example:
    rgb8_pixel_t pixel(10,20,30);
    assert(pixel[2] == 30);
    static_max(pixel) = static_min(pixel);
    assert(pixel[2] == 10);
## Functions
template<typename P>
GIL_FORCEINLINE element_const_reference_type< P >::type | boost::gil::static_max (const P &p)
template<typename P>
GIL_FORCEINLINE element_reference_type< P >::type | boost::gil::static_max (P &p)
template<typename P>
GIL_FORCEINLINE element_const_reference_type< P >::type | boost::gil::static_min (const P &p)
template<typename P>
GIL_FORCEINLINE element_reference_type< P >::type | boost::gil::static_min (P &p)